package com.kmall.admin.service.impl;

import com.kmall.admin.dao.PinganPayOrderDao;
import com.kmall.admin.service.PinganPayOrderService;
import com.kmall.manager.manager.pingan.dto.PinganPayOrderDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
@Service("pinganPayOrderService")
public class PinganPayOrderServiceImpl implements PinganPayOrderService {
    @Autowired
    private PinganPayOrderDao pinganPayOrderDao;

    @Override
    public PinganPayOrderDto queryObject(Integer id) {
        return pinganPayOrderDao.queryObject(id);
    }

    @Override
    public List<PinganPayOrderDto> queryList(Map<String, Object> map) {
        return pinganPayOrderDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return pinganPayOrderDao.queryTotal(map);
    }

    @Override
    public int save(PinganPayOrderDto pinganPayOrder) {
        return pinganPayOrderDao.save(pinganPayOrder);
    }

    @Override
    public int update(PinganPayOrderDto pinganPayOrder) {
        return pinganPayOrderDao.update(pinganPayOrder);
    }

    @Override
    public int delete(Integer id) {
        return pinganPayOrderDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return pinganPayOrderDao.deleteBatch(ids);
    }

    @Override
    public int updateByOutNo(PinganPayOrderDto pinganPayOrder) {
        return pinganPayOrderDao.updateByOutNo(pinganPayOrder);
    }
}
